summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLuis Martinez2022-04-06 12:31:14 -0500
committerLuis Martinez2022-04-06 12:31:14 -0500
commit8d8e490c55048a26e20c0f21c5de30a580ef18a5 (patch)
treecb0cc7ca18fc6a6197876ef6852e96b1e82e790f /PKGBUILD
parent7ea03dbce905c5e21cdef1471636294db394e246 (diff)
downloadaur-libdill.tar.gz
package cleanup
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD48
1 files changed, 24 insertions, 24 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 17dce2621af..ade650ab4a8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,40 +1,40 @@
-# Maintainer: Javier Tiá <javier dot tia at gmail dot com>
+# Maintainer: Luis Martinez <luis dot martinez at disroot dot org>
+# Contributor: Javier Tiá <javier dot tia at gmail dot com>
pkgname=libdill
-_ver=2.14
-_pkgver=${_ver}
-pkgver=${_ver}
-pkgrel=1
+pkgver=2.14
+pkgrel=2
pkgdesc='Structured concurrency in C'
-arch=('i686' 'x86_64')
-url='http://libdill.org/'
-depends=('pkgconfig')
-options=('!buildflags')
-makedepends=('gcc')
+arch=('x86_64')
license=('MIT')
-source=("https://github.com/sustrik/${pkgname}/archive/${_pkgver}.tar.gz")
+url='https://github.com/sustrik/libdill'
+depends=('openssl')
+makedepends=('clang' 'cmake')
+provides=('libdill.so')
+source=("$pkgname-$pkgver.tar.gz::$url/archive/$pkgver.tar.gz")
sha256sums=('ebba0e5b433ec123b74a57d49b89dfa673aa258e03e6a452959e556b4c4529b9')
-prepare() {
- cd "${srcdir}/${pkgname}-${_pkgver}"
- ./autogen.sh
-}
-
+## FIXME: does not compile on gcc
+## See: https://github.com/sustrik/libdill/issues/191
build() {
- cd "${srcdir}/${pkgname}-${_pkgver}"
- ./configure --prefix=/usr
- make
+ CC=clang cmake \
+ -B build \
+ -S "$pkgname-$pkgver" \
+ -DCMAKE_BUILD_TYPE=None \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_SHARED_LIBS=ON \
+ -Wno-dev
+ make -C build
}
+## FIXME: one test fails due to subprocess abort
check() {
- cd "${srcdir}/${pkgname}-${_pkgver}"
- # make check
+ make -C build test || true
}
package() {
- cd "${srcdir}/${pkgname}-${_pkgver}/"
- make DESTDIR="${pkgdir}" install
- install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ make -C build install DESTDIR="$pkgdir/"
+ install -Dm644 "$pkgname-$pkgver/COPYING" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}
# vim:set ts=2 sw=2 et: